<?php

namespace App\Service;

use App\Entities\Ingredient;

class IngredientService
{
    public function create(array $data): ?Ingredient
    {
        $ingredient = null;
        if (isset($data['name']) && isset($data['quantity']) && isset($data['unit'])) {
            {
                $ingredient = new Ingredient(null, $data['name'], $data['quantity'], $data['unit']);
            }}

        return $ingredient;
    }

    public function update(array $data): ?Ingredient
    {
        $ingredient = null;
        if (isset($data['id'])) {
            $ingredient = $this->create($data);
            $ingredient->id = $data['id'];
        }

        return $ingredient;
    }
}